Subject: LSM: RELEASE!! 20MAY94
From: [email-masked] (Jeff Kopmanis)
Date: Sun, 22 May 1994 20:09:09 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux.help

The long wait is finally over...

As of 2:53am Eastern Standard Time (according to my trusted, but rusted
timepiece), I finished uploading the newest release of the LSM:

20may94!!!

Currently, it is located in the /pub/Linux/Incoming directory on
sunsite.unc.edu along with a slightly updated LSM Entry Template.  You can
find them named as the files:  lsm-20may94.gz   and   template-20may94

---

I'd like to thank the entire community for putting up with the extremely
late release of this latest incarnation.  It's been a really busy winter
and spring and really shows no signs of improving soon.

Despite the overwork at my pay-job, I did manage to write up a MUCH better
LSM Admin application, in Visual BASIC.  Its unsophisticated, but does all
the stuff I need it to do, and does them pretty quickly and easily.  The
importing of Entries should be much more timely and efficient in the
future.

Things that have changed...

The biggest news is the addition of a WWW/WAIS/gopher "embedded" field,
that *should* allow these programs to do their magic on an LSM file and
download the files directly.  I hope this works, as I've not really had any
experience in trying this, but was assured by many that "this is the way to
do it and it's simple".  Give it a try... I'll hear if its not right.

The format is cleaned up and condensed somewhat.  The file currently is
about 1700 records long, up about 300 or so from 13dec93.  That works out
to roughly another 25% increase in size.  Amazingly, it only takes up 1.4MB
gunzipped and 255K gzipped.

I've made an effort to eliminate duplicates in the file (BOY, what THAT an
effort!).

I'm also setting myself up to release the LSM roughly every month, as
opposed to the semi-annual event I've recently ended.

Lastly, since about 90% of the entries come from the sunsite archive, I'd
just as soon have everybody just upload them there for collection.  The
flow of entries from the email and news connections has dwindled to a
trickle.  You're more than welcome to send them to me, because I'd rather
have the entries than not.

That's the big stuff.  Take a look at the new LSM and see for yourself.

---

I'd again like to thank all those who submitted entries, those who put up
with my, er, tardiness, and especially to the Linux community as a whole
for supporting such a neat project.  My current career directions have been
profoundly influenced by the Unix skills I picked up by sweating through
0.98pl6, 0.99pl1 and pl9.  I regret that I had to remove it for business
reasons in January of this year.  Thanks, Linux and Linus.

---

One more thing:

Many of you have asked me for copies of the Microsoft Access database and
the Admin app that I've written for taking care of the LSM.  You're more
than welcome to a copy.  HOWEVER, I've still got a few nagging bugs and
need to add query capabilities to the beast before I give it out.  I can
make the .MDB file available for you anytime, though.  I'll warn you than
its pretty big (~2MB I think).  Please email me if you're interested.

That's all.  Good luck and ....

Enjoy!

--
Jeff Kopmanis       (Ann Arbor, Michigan)   |  email:  [email-masked]
Organizer of the Linux Software Map (LSM)   |  phone: (313) 393-4784 (work)
"So shines a good deed in a weary world."  -Willy Wonka

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.